Index: /BAORadio/libindi/libindi/BAOControl/Makefile
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/Makefile	(revision 641)
+++ /BAORadio/libindi/libindi/BAOControl/Makefile	(revision 642)
@@ -1,3 +1,3 @@
-# Makefile for the socket programming example
+# Makefile 
 #
 
@@ -7,6 +7,5 @@
 CXXFLAGS = -g 
 
-BAOcontrol_objects =  main.o baocontrol.o ClientSocket.o Socket.o filetools.o exception.o
-
+BAOcontrol_objects =  main.o baocontrol.o
 
 all : BAOcontrol
@@ -14,12 +13,14 @@
 
 BAOcontrol: $(BAOcontrol_objects)
-	g++ $(CXXFLAGS) -c -o ../BAOControl/astro.o ../drivers/telescope/astro.cpp
-	g++ $(CXXFLAGS) -o BAOcontrol $(BAOcontrol_objects) astro.o -lpthread -lX11
+	g++ $(CXXFLAGS) -c -o ../BAOControl/astro.o ../communs/astro.cpp
+	g++ $(CXXFLAGS) -c -o ../BAOControl/exception.o ../communs/exception.cpp
+	g++ $(CXXFLAGS) -c -o ../BAOControl/filetools.o ../communs/filetools.cpp
+	g++ $(CXXFLAGS) -c -o ../BAOControl/Socket.o ../communs/Socket.cpp
+	g++ $(CXXFLAGS) -c -o ../BAOControl/ClientSocket.o ../communs/ClientSocket.cpp
+	g++ $(CXXFLAGS) -c -o ../BAOControl/logs.o ../communs/logs.cpp
+	g++ $(CXXFLAGS) -c -o ../BAOControl/alignement.o ../communs/alignement.cpp
+	g++ $(CXXFLAGS) -o BAOcontrol $(BAOcontrol_objects) astro.o exception.o filetools.o Socket.o ClientSocket.o logs.o alignement.o -lpthread -lX11
 
-Socket:  Socket.cpp
-ClientSocket: ClientSocket.cpp
 baocontrol: baocontrol.cpp
-filetools: filetools.cpp
-exception: exception.c
 main: main.cpp
 
